Bug 697065 - Background of the PDF is not rendered correctly
Summary: Background of the PDF is not rendered correctly
Status: RESOLVED FIXED
Alias: None
Product: MuPDF
Classification: Unclassified
Component: mupdf (show other bugs)
Version: master
Hardware: PC Linux
: P4 normal
Assignee: muPDF bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-25 14:04 UTC by Thibaud Lutellier
Modified: 2016-10-12 09:50 UTC (History)
2 users (show)

See Also:
Customer:
Word Size: ---


Attachments
1-page PDF with incorrect background (184.33 KB, application/pdf)
2016-08-25 14:04 UTC, Thibaud Lutellier
Details
screenshot full screen of mupdf (1.14 MB, image/jpeg)
2016-08-25 14:07 UTC, Thibaud Lutellier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thibaud Lutellier 2016-08-25 14:04:58 UTC
Created attachment 12886 [details]
1-page PDF with incorrect background

Issue:
The black background of the attached PDF file is not rendered correctly by mupdf (tried both mupdf 1.3-2 and the last version built from the git repo).

Steps to reproduce:

open the attached PDF with mupdf.

Actual results:

The black background is not uniform, some parts are black, some are gray.

Expected results:

The black background should be uniformly black, as displayed by other PDF readers such as Evince.
Comment 1 Thibaud Lutellier 2016-08-25 14:07:07 UTC
Created attachment 12887 [details]
screenshot full screen of mupdf

This is an example of what I see when I open the file with mupdf.
The background should be uniformly black
Comment 2 Tor Andersson 2016-08-26 03:43:32 UTC
The background is a full page CMYK color jpeg image, object 4 in the PDF.
Comment 3 Robin Watts 2016-10-12 09:50:41 UTC
Fixed in:

commit ded36857c6ac60808909454a06e021fafe151f41
Author: Robin Watts <robin.watts@artifex.com>
Date:   Wed Oct 12 16:27:45 2016 +0100

    Bug 697065: Fix bug in CMYK -> RGB pixmap converter.

    When caching the cmyk values used to generate a given
    rgb value, it is best to cache the values before processing.